package com.uas.eis.service;

import com.uas.eis.sdk.entity.ApiResult;

import java.util.List;
import java.util.Map;

public interface MESDataService {

	List<Map<Object,Object>> snStepPass(String accessKey, String requestId, String data);

	List<Map<Object,Object>> snInfo(String accessKey, String requestId, String data);

	List<Map<Object,Object>> makeSnRelation(String accessKey, String requestId, String data);

	List<Map<Object,Object>> MAKEBAD(String accessKey, String requestId, String data);

	List<Map<Object,Object>> makeBadReason(String accessKey, String requestId, String data);

	List<Map<Object,Object>> packageDetail(String accessKey, String requestId, String data);

	List<Map<Object,Object>> craftmaterial(String accessKey, String requestId, String data);

	List<Map<Object,Object>> oqcbatch(String accessKey, String requestId, String data);

	List<Map<Object,Object>> inspectdata(String accessKey, String requestId, String data);

	List<Map<Object,Object>> prodiomac(String accessKey, String requestId, String data);

	List<Map<Object,Object>> makeserial(String accessKey, String requestId, String data);

	List<Map<Object,Object>> oqcitemsamples(String accessKey, String requestId, String data);

	ApiResult<Map<Object,Object>> barcode(String accessKey, String requestId, String data);
}